{% extends 'base.html.twig' %}
{% block title %}{% endblock %}
{% block body %}

<body>

    <section class="main_sectionGarcon">
        <div class="card_Div">

            {# {{ dump(variation) }} #}
            <div class="detaiCards">
                <div class="sideimage">
                    <div class="siderangle">
                        <i class="fa-solid fa-angle-up"></i>
                    </div>
                    {% for key,picture in variation.pictures %}
                    {# {{ dump(asset('uploads/productvariation/'~product.pictures[key].path))}} #}
                    <div id="side" class="siderimg">
                        <a href=""><img id={{key}}
                                data-id={{asset('uploads/productvariation/'~variation.pictures[key].path)}}
                                src="{{asset('uploads/productvariation/'~ picture.path)}}"></a>
                    </div>
                    {% endfor %}
                    <div class="siderangle">
                        <i class="fa-solid fa-angle-down"></i>
                    </div>
                </div>

                <div class="subcarddetails">

                    <a href="">

                        <div>
                            {# {{ dump(product.pictures) }} #}
                            <img id="slide" src="{{asset('uploads/productvariation/'~ variation.pictures[0].path)}}">
                        </div>

                     
                    </a>
                </div>

                <div class="infoproduct">
                    <div>
                        <h1 class="productTitle">{{variation.subtitle}}</h1>
                    </div>
                    <div class="productdisc">
                        <span>{{variation.discrition}}</span>
                    </div>
                    <div class="hlJouet">
                    </div>

                    <div class="prodprice">
                        <span>{{variation.price}}</span>
                        <i class="fa-solid fa-euro-sign"></i>
                    </div>

                    <div class="prodcolor">
                        <p>COULEUR</p>
                        {% for p in product.productVariations%}
                        <div class="divcolor">
                            {% set bgcolor = p.colour%}
                            <a href="{{ path('app_home_productsdetails', {id:product.id, idVariation:p.id}) }}">
                                <div id="colour_var" data-id={{p.colour}} class="cl1"
                                    style='background-color:{{bgcolor}}'>
                                </div>
                            </a>
                        </div>
                        {% endfor %}
                    </div>

                    <div class="prodcolor">
                        
                        <form method="post" action="{{path("addProduct", {id: variation.id})}}">
                            <div>
                                {% if variation.productvariationsizes|length > 0 %}
                                <label>Taile</label>
                                {# {{ dump(variation) }} #}
                                <select id="check_1" name="size">
                                    {% for size in variation.productvariationsizes %}
                                    <option data-qty="{{ size.qty }}" value="{{ size.id }}">{{size.sizeid.size}}
                                    </option>
                                    {% endfor %}
                                </select>
                                {% endif %}
                            </div>
                           
                            <div class="discription">
                                <div class="cartDiv">
                                        <button class="btnCart" type="submit">
                                            Ajouter Au Panier
                                        </button>
                                </div>
                            </div>
                        </form>

                        

                    </div>
                </div>

            </div>

            <div>
            </div>
        </div>
    </section>



</body>
{% endblock %}